import type MenuItem from './menu-item';
declare class SubMenu {
    parent: MenuItem;
    domNode: ParentNode;
    subMenuItems: NodeList;
    subIndex: number;
    constructor(parent: MenuItem, domNode: ParentNode);
    init(): void;
    gotoSubIndex(idx: number): void;
}
export default SubMenu;
